Skip to main content

🌆 Images

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate real images for your data. You can also use query parameter for returning spesific categories of images with spesific height and width. Returns an array of image URLS and names, by default ten.

Service is provided by https://loremflickr.com.

Query options​

ParameterDescriptionDefault
CategoryAvailable categories are: abstract, animals, business, cats, city, fashion, food, nature, nightlife, people, sports, technics, transportnull
CountCount of objects returned10
HeightHeight of all returned images in pixels480
WidthWidhts of all returned images in pixels640

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get random images.

Get image mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/images
Accept: application/json

Response​

Example​

JSON
[
{
"name": "random_1.jpg",
"url": "https://loremflickr.com/640/480/random?lock=2279108562124800"
}
]

Name​

JSONPower Automate
nameImage name

Returns the name of the image file. For example: random_1.jpg.

Return datatype: string

URL​

JSONPower Automate
urlImage URL

Returns the URL where the image is located. For example: https://loremflickr.com/640/480/random?lock=2279108562124800.

Return datatype: string